Name:        fantasque-sans-mono-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/FantasqueSansMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 FantasqueSansMNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-BoldItalic.ttf
install -Dm644 FantasqueSansMNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-BoldItalic.ttf
install -Dm644 FantasqueSansMNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-BoldItalic.ttf
install -Dm644 FantasqueSansMNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-Bold.ttf
install -Dm644 FantasqueSansMNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-Bold.ttf
install -Dm644 FantasqueSansMNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-Bold.ttf
install -Dm644 FantasqueSansMNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-Italic.ttf
install -Dm644 FantasqueSansMNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-Italic.ttf
install -Dm644 FantasqueSansMNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-Italic.ttf
install -Dm644 FantasqueSansMNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-Regular.ttf
install -Dm644 FantasqueSansMNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-Regular.ttf
install -Dm644 FantasqueSansMNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/FantasqueSansMNerdFontPropo-Regular.ttf
%license OFL.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
